gcloudコマンドがPython 3.9.0で動かない問題のワークアラウンド

どうもPython 3.9でgcloudコマンドがまともに動かないらしい。 Issueもある。

gcloudコマンド実行に使用するPythonを環境変数で指定できるので、そこでPython 3.8とかを設定して回避する方法が紹介されている。

export CLOUDSDK_PYTHON=python3.8

じきに解消されるだろうけど、ひとまずメモとして残しておく。